<?php

$_['nitropackio'] = array(
    'version' => '2.9.3',
    'modified_file' => 'catalog/controller/module/nitropack.php',
    'oc' => array(
        'setting_code' => 'nitropack',
        'field' => array(
            'status' => 'nitropack_status'
        ),
        'route' => array(
            'extension' => 'extension/module',
            'modification' => 'extension/modification'
        )
    ),
    'route' => array(
        'event' => array(
            'category' => 'module/nitropack_event_category',
            'information' => 'module/nitropack_event_information',
            'manufacturer' => 'module/nitropack_event_manufacturer',
            'product' => 'module/nitropack_event_product',
            'review' => 'module/nitropack_event_review',
            'theme' => 'module/nitropack_event_theme'
        ),
        'module' => array(
            'nitropack' => 'module/nitropack'
        )
    ),
    'model' => array(
        'event' => array(
            'category' => 'model_module_nitropack_event_category',
            'information' => 'model_module_nitropack_event_information',
            'manufacturer' => 'model_module_nitropack_event_manufacturer',
            'product' => 'model_module_nitropack_event_product',
            'review' => 'model_module_nitropack_event_review',
            'theme' => 'model_module_nitropack_event_theme'
        ),
        'module' => array(
            'nitropack' => 'model_module_nitropack'
        )
    ),
    'event' => array(
        // Catalog Cart
        'catalog/controller/common/cart/after' => array('module/nitropack/cartPlaceholder'),
        // Catalog Products
        'catalog/model/catalog/product/getProduct/after' => array('module/nitropack/afterGetProduct'),
        'catalog/model/catalog/product/getProducts/after' => array('module/nitropack/afterGetProducts'),
        'catalog/model/catalog/product/getProductRelated/after' => array('module/nitropack/afterGetProducts'),
        // Catalog Categories
        'catalog/model/catalog/category/getCategory/after' => array('module/nitropack/afterGetCategory'),
        // Catalog Manufacturers
        'catalog/model/catalog/manufacturer/getManufacturer/after' => NITROPACK_DISABLE_MANUFACTURER_TAGGING ? array() : array('module/nitropack/afterGetManufacturer'),
        'catalog/model/catalog/manufacturer/getManufacturers/after' => NITROPACK_DISABLE_MANUFACTURER_TAGGING ? array() : array('module/nitropack/afterGetManufacturers'),
        // Catalog Informations
        'catalog/model/catalog/information/getInformation/after' => array('module/nitropack/afterGetInformation'),
        // Order Histories
        'catalog/model/checkout/order/addOrder/before' => array('module/nitropack/beforeAddOrder'),
        'catalog/model/checkout/order/editOrder/before' => array('module/nitropack/beforeModifyOrder'),
        'catalog/model/checkout/order/deleteOrder/before' => array('module/nitropack/beforeModifyOrder'),
        'catalog/model/checkout/order/addOrderHistory/before' => array('module/nitropack/beforeModifyOrder'),
        // Admin Products
        'admin/model/catalog/product/addProduct/after' => array('module/nitropack/productAfterAdd'),
        'admin/model/catalog/product/editProduct/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product/editProduct/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product/deleteProduct/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product/deleteProduct/after' => array('module/nitropack/productAfterDelete'),
        'admin/model/catalog/product/copyProduct/after' => array('module/nitropack/productAfterCopy'),
        // Admin Categories
        'admin/model/catalog/category/addCategory/after' => array('module/nitropack/categoryAfterAdd'),
        'admin/model/catalog/category/editCategory/before' => array('module/nitropack/categoryBeforePersist'),
        'admin/model/catalog/category/editCategory/after' => array('module/nitropack/categoryAfterEdit'),
        'admin/model/catalog/category/deleteCategory/before' => array('module/nitropack/categoryBeforePersist'),
        'admin/model/catalog/category/deleteCategory/after' => array('module/nitropack/categoryAfterDelete'),
        // Admin Manufacturers
        'admin/model/catalog/manufacturer/addManufacturer/after' => array('module/nitropack/manufacturerAfterAdd'),
        'admin/model/catalog/manufacturer/editManufacturer/before' => array('module/nitropack/manufacturerBeforePersist'),
        'admin/model/catalog/manufacturer/editManufacturer/after' => array('module/nitropack/manufacturerAfterEdit'),
        'admin/model/catalog/manufacturer/deleteManufacturer/before' => array('module/nitropack/manufacturerBeforePersist'),
        'admin/model/catalog/manufacturer/deleteManufacturer/after' => array('module/nitropack/manufacturerAfterDelete'),
        // Admin Informations
        'admin/model/catalog/information/addInformation/after' => array('module/nitropack/informationAfterAdd'),
        'admin/model/catalog/information/editInformation/before' => array('module/nitropack/informationBeforePersist'),
        'admin/model/catalog/information/editInformation/after' => array('module/nitropack/informationAfterEdit'),
        'admin/model/catalog/information/deleteInformation/before' => array('module/nitropack/informationBeforePersist'),
        'admin/model/catalog/information/deleteInformation/after' => array('module/nitropack/informationAfterDelete'),
        // Admin Reviews
        'admin/model/catalog/review/addReview/after' => array('module/nitropack/reviewAfterAdd'),
        'admin/model/catalog/review/editReview/before' => array('module/nitropack/reviewBeforePersist'),
        'admin/model/catalog/review/editReview/after' => array('module/nitropack/reviewAfterEdit'),
        'admin/model/catalog/review/deleteReview/before' => array('module/nitropack/reviewBeforePersist'),
        'admin/model/catalog/review/deleteReview/after' => array('module/nitropack/reviewAfterDelete'),
        // Journal 2 Theme
        'admin/model/journal2/modules/save/before' => array('module/nitropack/themeBeforePersist'),
        'admin/model/journal2/modules/save/after' => array('module/nitropack/themeAfterPersist'),
        'admin/model/journal2/modules/add/before' => array('module/nitropack/themeBeforePersist'),
        'admin/model/journal2/modules/add/after' => array('module/nitropack/themeAfterPersist'),
        'admin/model/journal2/modules/edit/before' => array('module/nitropack/themeBeforePersist'),
        'admin/model/journal2/modules/edit/after' => array('module/nitropack/themeAfterPersist'),
        'admin/model/journal2/modules/remove/before' => array('module/nitropack/themeBeforePersist'),
        'admin/model/journal2/modules/remove/after' => array('module/nitropack/themeAfterPersist'),
        'admin/model/journal2/modules/duplicate/before' => array('module/nitropack/themeBeforePersist'),
        'admin/model/journal2/modules/duplicate/after' => array('module/nitropack/themeAfterPersist'),
        // ExcelPort Products
        'admin/model/module/excelport_product/addProduct/after' => array('module/nitropack/productAfterAdd'),
        'admin/model/module/excelport_product/editProduct/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/module/excelport_product/editProduct/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/module/excelport_product_bulk/addProduct/after' => array('module/nitropack/productAfterAdd'),
        'admin/model/module/excelport_product_bulk/editProduct/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/module/excelport_product_bulk/editProduct/after' => array('module/nitropack/productAfterEdit'),
        // Instant Product Editor - https://www.opencart.com/index.php?route=marketplace/extension/info&extension_id=1561
        'admin/model/catalog/product_extra/changeProductToStore/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductToStore/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductStatus/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductStatus/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductSubstract/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductSubstract/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductQuantity/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductQuantity/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductPrice/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductPrice/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeSpecialPrices/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeSpecialPrices/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductCategory/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductCategory/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductSortOrder/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductSortOrder/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeManufacturer/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeManufacturer/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeSeo/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeSeo/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeModel/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeModel/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeImage/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeImage/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeName/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeName/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeMetaTitle/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeMetaTitle/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductSku/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductSku/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeUpc/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeUpc/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeLocation/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeLocation/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeDateAvailable/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeDateAvailable/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeWeight/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeWeight/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeWeightClass/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeWeightClass/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeTaxClass/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeTaxClass/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeStockStatus/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeStockStatus/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeLength/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeLength/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeWidth/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeWidth/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeHeight/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeHeight/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeLengthClass/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeLengthClass/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductSpecialPrice/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductSpecialPrice/after' => array('module/nitropack/productAfterEdit'),
        'admin/model/catalog/product_extra/changeProductDiscountPrice/before' => array('module/nitropack/productBeforePersist'),
        'admin/model/catalog/product_extra/changeProductDiscountPrice/after' => array('module/nitropack/productAfterEdit'),
        // Admin Languages
        'admin/model/localisation/language/addLanguage/after' => array('module/nitropack/updateActiveLanguages'),
        'admin/model/localisation/language/editLanguage/after' => array('module/nitropack/updateActiveLanguages'),
        'admin/model/localisation/language/deleteLanguage/after' => array('module/nitropack/updateActiveLanguages'),
        // Admin Settings
        'admin/model/setting/setting/editSetting/after' => array('module/nitropack/updateDefaults'),
    )
);
